TakenAt: 2022-02-26T17:53:25Z
TakenAtLocal: 2022-02-26T17:53:25Z
TakenSrc: meta
UID: pt5qmact477x2cq3
Type: image
Title: Portrait / Horndean / 2022
OriginalName: DCIM/Camera/20220226_175325
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 141
Lat: 50.9336883
Lng: -0.9996115
Year: 2022
Month: 2
Day: 26
ISO: 400
Exposure: 1/50
FNumber: 1.8
FocalLength: 26
Quality: 4
Faces: 1
Details:
  Keywords: avenue, camera, dcim, england, first, grey, horndean, portrait, united-kingdom
  Software: G981BXXUDEVA9
  SoftwareSrc: meta
CreatedBy: ut535mt35xq5i9w6
CreatedAt: 2025-11-14T22:25:24Z
UpdatedAt: 2025-11-14T22:25:24Z
